Subject: Re: bug#24456: 25.1; [PATCH] Caps-lock doesn't affect interpretation of key chords

From: Eli Zaretskii <[email-masked]>
Date: Mon, 19 Sep 2016 05:23:53 +0300

> From: Dima Kogan <[email-masked]>
> Cc: [email-masked], Eli Zaretskii <[email-masked]>
> Date: Sun, 18 Sep 2016 11:25:46 -0700
> 
> Eli Zaretskii writes:
> 
> > Doesn't this mean that ASCII keys will behave differently from
> > non-ASCII when Caps Lock is ON?
> 
> If you're talking about characters used in non-English languages, then I
> really have no idea what the current behavior is, or how to test it. I'm
> hoping one of yall who actually use these languages will tell me.

I don't understand what you mean by that.  The effect of Caps Lock on
non-ASCII letters is clear: to produce the upper-case variant of the
letter.

My point is that treating ASCII letters differently from non-ASCII in
this regard should not be taken lightly.  We should at least discuss
whether the results are acceptable.